%define name		dopi
%define version		0.3.2

Summary:	Dopi iPod Tool
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel 2
License: 	GPL
Group: 		Sound
Source: 	http://www.snorp.net/files/dopi/%{name}-%{version}.tar.bz2
Source1:	dopi-icons.tar.bz2
URL: 		http://www.snorp.net/log/?page_id=56
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ipod-sharp
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2
BuildRequires:  glade-sharp2
BuildRequires:	glib2-devel
BuildRequires: desktop-file-utils
#Patch1:		dopi-0.1.0-dont-install-dlls.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
Dopi is a little application for updating Apple iPod devices.

%prep
%setup -q -a1

%build
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
%if %_lib != lib
mv %buildroot%_libdir/dopi/* %buildroot%_prefix/lib/dopi
%endif

# menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="x11" \
icon="%name.png" \
section="Multimedia/Sound" \
title="Dopi" \
longtitle="Update the content of your iPod" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

#rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;
rm -f %buildroot%_prefix/lib/dopi/*.a

ln -sf ../../lib/ipod-sharp/ipod-sharp.dll %{buildroot}%{_prefix}/lib/dopi/ipod-sharp.dll
ln -sf ../../lib/ipod-sharp/ipod-sharp-ui.dll %{buildroot}%{_prefix}/lib/dopi/ipod-sharp-ui.dll

%post
%update_desktop_database
%{update_menus}

%postun
%clean_desktop_database
%{clean_menus}

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_bindir}/dopi
%{_prefix}/lib/dopi/*
%{_datadir}/applications/dopi.desktop
%{_menudir}/*
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png

%changelog
* Wed Jun 21 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdv2007.0
- xdg menu
- remove bundled ipod-sharp

* Tue Mar 21 2006 Jerome Soyer <saispo@mandriva.org> 0.3.2-1mdk
- 0.3.2 Release
